# Copyright 2019-2024 Cambridge Quantum Computing
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

from pytket._tket.circuit_library import (
    BRIDGE,
    CCX,
    CX,
    H_CZ_H,
    X1_CX,
    Z0_CX,
    BRIDGE_using_CX_0,
    BRIDGE_using_CX_1,
    C3X_normal_decomp,
    C4X_normal_decomp,
    CCX_modulo_phase_shift,
    CCX_normal_decomp,
    CH_using_CX,
    CRx_using_CX,
    CRx_using_TK2,
    CRy_using_CX,
    CRy_using_TK2,
    CRz_using_CX,
    CRz_using_TK2,
    CS_using_CX,
    CSdg_using_CX,
    CSWAP_using_CX,
    CSX_using_CX,
    CSXdg_using_CX,
    CU1_using_CX,
    CU1_using_TK2,
    CU3_using_CX,
    CV_using_CX,
    CVdg_using_CX,
    CX_S_CX_reduced,
    CX_S_V_XC_reduced,
    CX_using_AAMS,
    CX_using_ECR,
    CX_using_flipped_CX,
    CX_using_TK2,
    CX_using_XXPhase_0,
    CX_using_XXPhase_1,
    CX_using_ZZMax,
    CX_using_ZZPhase,
    CX_V_CX_reduced,
    CX_V_S_XC_reduced,
    CX_VS_CX_reduced,
    CX_XC_reduced,
    CY_using_CX,
    CZ_using_CX,
    ECR_using_CX,
    ESWAP_using_CX,
    ESWAP_using_TK2,
    FSim_using_CX,
    FSim_using_TK2,
    ISWAP_using_CX,
    ISWAP_using_TK2,
    NPhasedX_using_PhasedX,
    PhasedISWAP_using_CX,
    PhasedISWAP_using_TK2,
    Rx_using_GPI,
    Ry_using_GPI,
    Rz_using_GPI,
    SWAP_using_CX_0,
    SWAP_using_CX_1,
    TK1_to_PhasedXRz,
    TK1_to_RzH,
    TK1_to_RzRx,
    TK1_to_RzSX,
    TK1_to_TK1,
    TK1_using_GPI,
    TK2_using_3xCX,
    TK2_using_AAMS,
    TK2_using_CX,
    TK2_using_CX_and_swap,
    TK2_using_normalised_TK2,
    TK2_using_TK2_or_swap,
    TK2_using_ZZMax,
    TK2_using_ZZMax_and_swap,
    TK2_using_ZZPhase,
    TK2_using_ZZPhase_and_swap,
    X,
    XXPhase3_using_CX,
    XXPhase3_using_TK2,
    XXPhase_using_AAMS,
    XXPhase_using_CX,
    XXPhase_using_TK2,
    YYPhase_using_AAMS,
    YYPhase_using_CX,
    YYPhase_using_TK2,
    ZZMax_using_CX,
    ZZPhase_using_AAMS,
    ZZPhase_using_CX,
    ZZPhase_using_TK2,
    approx_TK2_using_1xCX,
    approx_TK2_using_1xZZPhase,
    approx_TK2_using_2xCX,
    approx_TK2_using_2xZZPhase,
    ladder_down,
    ladder_down_2,
    ladder_up,
)
